[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TForm.LCLVersion

The LCL version number as a String type.

## Declaration

Source position: forms.pp line 906

`published property TForm.LCLVersion : string read FLCLVersion write FLCLVersion stored LCLVersionIsStored;`

## Description

LCLVersion is a String property which written to the LCL streaming mechanism when ComponentState indicates the form instance was created a design-time (csDesignInstance). Used to distinguish form streaming content for different versions of the LCL. The value is assigned in both the Create constructor and the Loaded method. The property is set to the value in the lcl_version constant.

## See also

TForm.Create |  | Constructor for the class instance.
TCustomForm.Loaded |  | Performs actions when the component has been loaded using the LCL streaming mechanism.
lcl_version |  | LCL version string.
TComponent.ComponentState